Berkeley DB version 4.8.30

## com.sleepycat.persist.model
Class PrimaryKeyMetadata

    java.lang.Object
      com.sleepycat.persist.model.FieldMetadata
          com.sleepycat.persist.model.PrimaryKeyMetadata

All Implemented Interfaces:
  Serializable

    public class PrimaryKeyMetadata

extends FieldMetadata

The metadata for a primary key field. A primary key may be specified with the `PrimaryKey` annotation.

`PrimaryKeyMetadata` objects are thread-safe. Multiple threads may safely call the methods of a shared `PrimaryKeyMetadata` object.

See Also:
  Serialized Form

Constructor Summary
`PrimaryKeyMetadata(String name, String className, String declaringClassName, String sequenceName)` Used by an `EntityModel` to construct primary key metadata.

Method Summary
`boolean` `equals(Object other)`
`String` `getSequenceName()` Returns the name of the sequence for assigning key values.
`int` `hashCode()`

Methods inherited from class com.sleepycat.persist.model.FieldMetadata
`getClassName, getDeclaringClassName, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrimaryKeyMetadata

    public PrimaryKeyMetadata(String name,
                              String className,
                              String declaringClassName,
                              String sequenceName)

  Used by an `EntityModel` to construct primary key metadata.

Method Detail

### getSequenceName

    public String getSequenceName()

  Returns the name of the sequence for assigning key values. This may be specified using the `PrimaryKey.sequence()` annotation.

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `FieldMetadata`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FieldMetadata`

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.